Name:                ed25519-java
Version:             0.3.0
Release:             4
Summary:             Implementation of EdDSA (Ed25519) in Java
License:             CC0
URL:                 https://github.com/str4d/ed25519-java
Source0:             https://github.com/str4d/ed25519-java/archive/v%{version}/ed25519-java-%{version}.tar.gz
BuildRequires:       maven-local mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.hamcrest:hamcrest-all)
BuildArch:           noarch
%description
This is an implementation of EdDSA in Java. Structurally, it
is based on the ref10 implementation in SUPERCOP (see
http://ed25519.cr.yp.to/software.html).
There are two internal implementations:
* A port of the radix-2^51 operations in ref10
  - fast and constant-time, but only useful for Ed25519.
* A generic version using BigIntegers for calculation
  - a bit slower and not constant-time, but compatible
    with any EdDSA parameter specification.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_xpath_inject "pom:configuration/pom:instructions" \
  "<Import-Package>sun.security.x509;resolution:=optional,*</Import-Package>"
%mvn_file net.i2p.crypto:eddsa %{name} eddsa

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Mon Jul 27 2020 Anan Fu <fuanan3@huawei.com> - 0.3.0-4
- package init
